List repositories for a git connection
curl --request GET \
--url https://api.devin.ai/v3/enterprise/git-providers/connections/{connection_id}/repositories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/git-providers/connections/{connection_id}/repositories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/git-providers/connections/{connection_id}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"git_connection_host": "<string>",
"git_connection_id": "<string>",
"last_updated_at": 123,
"provider_repository_id": "<string>",
"repo_description": "<string>",
"repo_language": "<string>",
"repo_name": "<string>",
"repo_path": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Git Connections (Enterprise)
List repositories for a git connection
GET
/
v3
/
enterprise
/
git-providers
/
connections
/
{connection_id}
/
repositories
List repositories for a git connection
Permissions
Requires a service user with theManageGitIntegrations permission at the enterprise level.Authorizations
Service User credential (prefix: cog_)
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Response
Successful Response
Show child attributes
Show child attributes
Cursor to fetch the next page, or None if this is the last page.
Whether there are more items available after this page.
Optional total count (can be omitted for performance).
⌘I

